aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/performance/remote_host_prepare.sh
diff options
context:
space:
mode:
authorGravatar Vijay Pai <vpai@google.com>2018-02-02 11:21:07 -0800
committerGravatar Vijay Pai <vpai@google.com>2018-02-02 11:21:07 -0800
commit1acfaca3e630fbb4c64de1eb7267f969730e49da (patch)
tree08619d38599aeb5dfdff0a7b341a07014f7ea4d1 /tools/run_tests/performance/remote_host_prepare.sh
parent7ce8b94b691e08efc7206ac9365d71502872e154 (diff)
parentc8e07c4964c98fb216dfcd562229ae515fc84a09 (diff)
Merge branch 'master' into gpr_review_host_port
Diffstat (limited to 'tools/run_tests/performance/remote_host_prepare.sh')
-rwxr-xr-xtools/run_tests/performance/remote_host_prepare.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tools/run_tests/performance/remote_host_prepare.sh b/tools/run_tests/performance/remote_host_prepare.sh
index bf91acbddf..d69c85b40e 100755
--- a/tools/run_tests/performance/remote_host_prepare.sh
+++ b/tools/run_tests/performance/remote_host_prepare.sh
@@ -15,7 +15,7 @@
set -ex
-cd $(dirname $0)/../../..
+cd "$(dirname "$0")/../../.."
# TODO(jtattermusch): To be sure there are no running processes that would
# mess with the results, be rough and reboot the slave here
@@ -24,7 +24,7 @@ ssh "${USER_AT_HOST}" "killall -9 qps_worker dotnet mono node ruby worker || tru
# On Windows, killall is not supported & we need to kill all pending workers
# before attempting to delete the workspace
-ssh "${USER_AT_HOST}" "ps -e | egrep 'qps_worker|dotnet' | awk '{print $1}' | xargs kill -9 || true"
+ssh "${USER_AT_HOST}" "ps -e | egrep 'qps_worker|dotnet' | awk '{print \$1}' | xargs kill -9 || true"
# cleanup after previous builds
ssh "${USER_AT_HOST}" "rm -rf ~/performance_workspace && mkdir -p ~/performance_workspace"
@@ -36,4 +36,5 @@ scp ../grpc.tar "${USER_AT_HOST}:~/performance_workspace"
ssh "${USER_AT_HOST}" "tar -xf ~/performance_workspace/grpc.tar -C ~/performance_workspace || tar -xf ~/performance_workspace/grpc.tar -C ~/performance_workspace"
# For consistency with local run, invoke the kill_workers script remotely.
+# shellcheck disable=SC2088
ssh "${USER_AT_HOST}" "~/performance_workspace/grpc/tools/run_tests/performance/kill_workers.sh"